| Online Eiffel Documentation

EiffelStudio

# Introduction

Class views are all available through the Class tab of the context tool, and for some of them directly with the editor.
These views (with their associated icon) are:

- Basic text view
- Clickable view
- Flat view
- Contract view
- Flat Contract view
- Ancestors
- Descendants
- Clients
- Suppliers
- Attributes
- Routines
- Invariants
- Creators
- Deferred features
- Once routines and constants
- External features
- Exported features